'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var PropTypes = _interopDefault(require('prop-types'));

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css = "/* add css styles here (optional) */\n\n.styles_test__3OKZ1 {\n  display: inline-block;\n  margin: 2em auto;\n  border: 2px solid #000;\n  font-size: 2em;\n  background-color: red;\n}\n";
var styles = { "test": "styles_test__3OKZ1" };
styleInject(css);

var ExampleComponent = function ExampleComponent(props) {
  return React.createElement(
    'div',
    { className: styles.test },
    'Example Component: ',
    props.text
  );
};

ExampleComponent.propTypes = {
  text: PropTypes.string
};

ExampleComponent.defaultProps = {
  text: 'You should probably pass some props'
};

exports.ExampleComponent = ExampleComponent;
//# sourceMappingURL=index.js.map
